# Uses of Interface
org.apache.qpid.proton.reactor.Reactor

Packages that use Reactor
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Reactor in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return Reactor
Modifier and Type
Method
Description
`static Reactor`
Proton.`reactor()`
`static Reactor`
Proton.`reactor(Handler... handlers)`
`static Reactor`
Proton.`reactor(ReactorOptions options)`
`static Reactor`
Proton.`reactor(ReactorOptions options, Handler... handlers)`

## Uses of Reactor in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Reactor
Modifier and Type
Method
Description
`Reactor`
Connection.`getReactor()`
`Reactor`
Event.`getReactor()`

## Uses of Reactor in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Reactor
Modifier and Type
Method
Description
`Reactor`
ConnectionImpl.`getReactor()`
`Reactor`
TransportImpl.`getReactor()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Reactor
Modifier and Type
Method
Description
`void`
ConnectionImpl.`setReactor(Reactor reactor)`
`void`
TransportImpl.`setReactor(Reactor reactor)`

## Uses of Reactor in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return Reactor
Modifier and Type
Method
Description
`static Reactor`
Reactor.Factory.`create()`
`static Reactor`
Reactor.Factory.`create(ReactorOptions options)`
`Reactor`
Selectable.`getReactor()`
`Reactor`
Task.`getReactor()`

## Uses of Reactor in org.apache.qpid.proton.reactor.impl

Classes in org.apache.qpid.proton.reactor.impl that implement Reactor
Modifier and Type
Class
Description
`class`
`ReactorImpl`
Methods in org.apache.qpid.proton.reactor.impl that return Reactor
Modifier and Type
Method
Description
`Reactor`
SelectableImpl.`getReactor()`
`Reactor`
TaskImpl.`getReactor()`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Reactor
Modifier and Type
Method
Description
`protected static Selectable`
IOHandler.`selectableTransport(Reactor reactor, Socket socket, Transport transport)`
`protected void`
SelectableImpl.`setReactor(Reactor reactor)`
`void`
TaskImpl.`setReactor(Reactor reactor)`
Constructors in org.apache.qpid.proton.reactor.impl with parameters of type Reactor
Modifier
Constructor
Description
`protected`
`AcceptorImpl(Reactor reactor, String host, int port, Handler handler)`